/*
* Global variables for C plotting package
*
* device  :  Graphics device number
* termin  :  Zero for noninteractive device, non-zero for terminal
* graphx  :  Zero if currently in text mode, non-zero for graphics mode
* currx   :  Physical x-coordinate of current point
* curry   :  Physical y-coordinate of current point
* vpp...  :  Viewport boundaries in physical coordinates
* spp...  :  Subpage  boundaries in physical coordinates
* clp...  :  Clip     boundaries in physical coordinates
* phy...  :  Physical device limits in physical coordinates
* nsub.   :  Number of subpages on physical device
* cursub  :  Current subpage
* um.     :  Number of micrometres in a pixel
* font    :  Current default font
* colour  :  Current default colour
* mark    :  Array of mark lengths in micrometres for broken lines
* space   :  Array of space lengths in micrometres for broken lines
* nms     :  Number of elements for current broken line style
* timecnt :  Timer for broken lines
* alarm   :  Alarm indicating change of broken line status
* pendn   :  Flag indicating if pen is up or down
* curel   :  Current element within broken line
* level   :  Initialization level
*
* spd...  :  Subpage  boundaries in normalized device coordinates
* vpd...  :  Viewport boundaries in normalized device coordinates
* vpw...  :  Viewport boundaries in world coordinates
* .pmm    :  Number of pixels to a millimetre
* wp....  :  Transformation variables for world  to physical conversion
* dp....  :  Transformation variables for device to physical conversion
* mp....  :  Transformation variables for millimetres from bottom left
*             hand corner to physical coordinates
* wm....  :  Transformation variables for world coordinates to mm
* chr...  :  Character default height and current (scaled) height
* sym...  :  Symbol    default height and current (scaled) height
* maj...  :  Major tick default height and current (scaled) height
* min...  :  Minor tick default height and current (scaled) height
* base3.  :  World coordinate size of base for 3-d plot
* basec.  :  Position of centre of base for 3-d plot
* dom...  :  Minimum and maximum values for domain
* zzscl   :  Vertical (z) scale for 3-d plot
* ran..   :  Minimum and maximum z values for 3-d plot
* c..     :  Coordinate transformation from 3-d to 2-d
*/

extern int device, termin, graphx;
extern int currx,  curry;
extern int vppxmi, vppxma, vppymi, vppyma;
extern int sppxmi, sppxma, sppymi, sppyma;
extern int clpxmi, clpxma, clpymi, clpyma;
extern int phyxmi, phyxma, phyymi, phyyma;
extern int nsubx,  nsuby, cursub;
extern int umx,    umy;
extern int font,   colour, style;
extern int mark[], space[], nms, timecnt;
extern int alarm,  pendn,  curel;
extern int level;

extern int *heap3;
extern int *heapc;

extern float spdxmi, spdxma, spdymi, spdyma;
extern float vpdxmi, vpdxma, vpdymi, vpdyma;
extern float vpwxmi, vpwxma, vpwymi, vpwyma;
extern float xpmm,   ypmm;
extern float wpxscl, wpxoff, wpyscl, wpyoff;
extern float dpxscl, dpxoff, dpyscl, dpyoff;
extern float mpxscl, mpxoff, mpyscl, mpyoff;
extern float wmxscl, wmxoff, wmyscl, wmyoff;
extern float chrdef, chrht;
extern float symdef, symht;
extern float majdef, majht;
extern float mindef, minht;
extern float base3x, base3y, basecx, basecy;
extern float domxmi, domxma, domymi, domyma;
extern float zzscl,  ranmi,  ranma;
extern float cxx,    cxy,    cyx,    cyy,   cyz;
