/* This file contains all of the type declarations for the functions *
 * in the plplot library.  This file should be included in all user  *
 * routines that make use of that library.                           */

/* All of the void type declarations are made first. */
void pladv();
void plbeg();
void plbin();
void plbox();
void plccal();
void plclr();
void plcntr();
void plcol();
void plcont();
void pldeco();
void pldtik();
void plend();
void plenv();
void plerrx();
void plerry();
void plerx1();
void plery1();
void plfont();
void plform();
void plgra();
void plgspa();
void plhist();
void plhrsh();
void pljoin();
void pllab();
void pllclp();
void plline();
void plmtex();
void plnxtv();
void plpoi1();
void plpoin();
void plptex();
void plr135();
void plr45();
void plschr();
void plsmaj();
void plsmin();
void plssym();
void plstar();
void plstik();
void plstr();
void plstyl();
void plsvpa();
void plsym();
void plsym1();
void pltext();
void plupd();
void plvpor();
void plvsta();
void plwind();
void plxtik();
void plxybx();
void plxytx();
void plytik();
void plzbx();
void plztx();

/* 3-D routine types*/
void pl3cut();
void plbox3();
void plgrid3();
void plot3d();
void plside3();
void plt3zz();
void plw3d();

/* The novice plplot user will not need to call the following functions */
void fatal();
void genlin();
void movphy();
void draphy();
void movwor();
void drawor();
void setphy();
void setpxl();
void setsub();
void xform();
void glev();
void slev();
void gbase();
void sbase();
void gnms();
void snms();
void gdev();
void sdev();
void gcurr();
void scurr();
void gdom();
void sdom();
void grange();
void srange();
void gw3wc();
void sw3wc();
void gvpp();
void svpp();
void gspp();
void sspp();
void gclp();
void sclp();
void gphy();
void sphy();
void gsub();
void ssub();
void gumpix();
void sumpix();
void gatt();
void satt();
void gspd();
void sspd();
void gvpd();
void svpd();
void gvpw();
void svpw();
void gpixmm();
void spixmm();
void gwp();
void swm();
void gwm();
void swp();
void gdp();
void sdp();
void gmp();
void smp();
void gchr();
void schr();
void gsym();
void ssym();
void gmaj();
void smaj();
void gmin();
void smin();

/* Functions that return floats */
float plstrl();
float dcmmx();
float dcmmy();
float dcscx();
float dcscy();
float mmdcx();
float mmdcy();
float scdcx();
float scdcy();
float wcmmx();
float wcmmy();
float w3wcx();
float w3wcy();

/* Functions returning ints */
int plabv();
int plcvec();
int dcpcx();
int dcpcy();
int mmpcx();
int mmpcy();
int round();
int stindex();
int strpos();
int wcpcx();
int wcpcy();

/* Device independent routines */
void grbeg();
void grclr();
void grcol();
void grinit();
void grgra();
void grline();
void grtext();
void grtidy();

/* Declarations for any new device drivers should be added to the list *
 * below.  These routines are called only in the file plstar.c (except *
 * for beepw() which is also called by ???) */
void amiini();
void amitex();
void amigra();
void amicol();
void amiclr();
void amilin();
void amitid();
void beepw();

void tekini();
void tektex();
void tekgra();
void tekclr();
void tekcol();
void teklin();
void tektid();

void impini();
void imptex();
void impgra();
void impclr();
void impcol();
void implin();
void imptid();

void jetini();
void jettex();
void jetgra();
void jetclr();
void jetcol();
void jetlin();
void jettid();
